View Issue Details

IDProjectCategoryView StatusLast Update
0002221Minis-Jeux[All Projects] Generalpublic2018-04-06 21:14
ReporterXenosAssigned ToXenos 
PrioritylowSeverityfeatureReproducibilityN/A
Status AcceptedResolutionopen 
Summary0002221: Générateur de planètes
DescriptionA partir du tuto d'@lucard, je devrais pouvoir en faire un en ligne, similaire au générateur d'éclairs que j'ai déjà https://xenos.reinom.com/thunderbolt/
TagsNo tags attached.
Attach Tags

Activities

Xenos

Xenos

2017-06-14 23:45

administrator   ~0003351

Last edited: 2018-04-06 21:14

View 2 revisions

C'eeeesssst... moche

https://xenos.reinom.com/planet-generator/

Bricolé à partir de ton tuto A lucard http://www.starwars-universe.com/dossier-page-230-1624-creation-de-planetes-introduction.html#1

A rajouter:
• Le choix des seeds
• Choix de la couleur d'atmosphère, de son épaisseur et de sa densité
• Choix du lighting (couleur et direction d'incidence)
• Choix du gradient de mapping des couleurs (0->bleu sombre, 0.25 -> bleu clair 0.5 -> vert sombre 0.75 -> orange 1 -> marron)
• Possibilité d'utiliser une texture en guise de sol
• Densité des nuages
• Planètes gazeuses?
• Planètes à anneaux?
• Etoiles plutôt que planètes?
• Lunes? (avec les cratères dans le commentaire du tuto http://www.starwars-universe.com/actu-13633-tutoriel-s-il-vous-plait-dessine-moi-une-planete.html )
• Suppression de l'atmosphère dans l'ombre de la planète (j'ai oublié ça...)
• Finesse du dessin (c'est moche là, mais je ne sais pas comment je vais le réguler!)
• Effet "Bas-relief" sur les zones émergées
• Choix du type de planète (désert, jungle, océan, glace, etc)

(je virerai les trucs faits au fur et à mesure)

Alu

Alu

2017-06-15 17:10

developer   ~0003362

Je sais pas comment tu t'y prends, mais pour un premier jet, c'est déjà vachement bien.
Chapeau !
Anonymous

Anonymous

2017-06-15 21:10

reporter   ~0003364

Super boulot Xenos !! :)

Je vois dans ta liste à rajouter densité des nuages : possible de cocher une case pour ne pas en avoir ?
Et pouvoir sélectionner la quantité de terre vs. mer ?
Xenos

Xenos

2017-06-15 21:16

administrator   ~0003365

Oui, il faudra que j'implémente des sliders, checkboxes et autres champs d'entrée pour paramétrer au maximum la planète.

Donc ok pour l'absence de nuages et le réglage de la densité des nuages. De même pour le ratio des océans/terres émergées.

Add Note

View Status
Note

Issue History

Date Modified Username Field Change
2017-06-07 20:50 Xenos New Issue
2017-06-14 21:27 Xenos Assigned To => Xenos
2017-06-14 21:27 Xenos Status New => In progress
2017-06-14 23:45 Xenos Status In progress => Accepted
2017-06-14 23:45 Xenos Note Added: 0003351
2017-06-14 23:45 Xenos Priority normal => low
2017-06-15 17:10 Alu Note Added: 0003362
2017-06-15 21:10 Anonymous Note Added: 0003364
2017-06-15 21:16 Xenos Note Added: 0003365
2017-08-19 18:13 Xenos Project Common => Minis-Jeux
2018-04-06 21:14 Xenos Note Edited: 0003351 View Revisions